<?php
/**
 * @package WordPress
 * @subpackage Followmedarling
 */
$content_width = 500;

// add_theme_support('nav-menus');

add_theme_support( 'post-thumbnails' );

if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		//'name'          => sprintf(__('Sidebar %d'), $i ),
		//'id'            => 'sidebar-$i',
		'description'   => '',
		'before_widget' => '<div class="footerColumn"><ul><li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li></ul></div>',
		'before_title' => '<h3 class="widgettitle">',
		'after_title' => '</h3>',
	));
}
add_action( 'after_setup_theme', 'followmedarling_setup' );
if ( ! function_exists( 'followmedarling_setup' ) ):

function followmedarling_setup() {
	load_theme_textdomain( 'followmedarling', TEMPLATEPATH . '' );

	add_theme_support( 'automatic-feed-links' );

	// Your changeable header business starts here
	define( 'HEADER_TEXTCOLOR', '' );
	// No CSS, just IMG call. The %s is a placeholder for the theme template directory URI.
	define( 'HEADER_IMAGE', '' );

	// The height and width of your custom header. You can hook into the theme's own filters to change these values.
	// Add a filter to twentyten_header_image_width and twentyten_header_image_height to change these values.
	define( 'HEADER_IMAGE_WIDTH', apply_filters( 'twentyten_header_image_width', 540 ) );
	define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'twentyten_header_image_height', 274 ) );

	// We'll be using post thumbnails for custom header images on posts and pages.
	// We want them to be 540 pixels wide by 274 pixels tall.
	// Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
	set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );

	// Don't support text inside the header image.
	define( 'NO_HEADER_TEXT', true );
	
	// Add a way for the custom header to be styled in the admin panel that controls
	// custom headers. See twentyten_admin_header_style(), below.
	add_custom_image_header( '', 'followmedarling_admin_header_style' );

	// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.
	register_default_headers( array(
		'fmd' => array(
			'url' => '%s/images/headers/followmedarling.png',
			'thumbnail_url' => '%s/images/headers/followmedarling-thmb.png',
			/* translators: header image description */
			'description' => __( 'Follow me Darling', 'followmedarling' )
		),
		'sunset' => array(
			'url' => '%s/images/headers/sunset.jpg',
			'thumbnail_url' => '%s/images/headers/sunset-thumbnail.jpg',
			/* translators: header image description */
			'description' => __( 'Sunset', 'followmedarling' )
		)
	) );
}
endif;

if ( ! function_exists( 'followmedarling_admin_header_style' ) ) :
/**
 * Styles the header image displayed on the Appearance > Header admin panel.
 *
 * Referenced via add_custom_image_header() in twentyten_setup().
 *
 * @since Twenty Ten 1.0
 */
function followmedarling_admin_header_style() {
/*not used*/
}
endif;

if ( ! function_exists( 'followmedarling_posted_on' ) ) :
/**
 * Prints HTML with meta information for the current postdate/time and author.
 *
 * @since Twenty Ten 1.0
 */
function followmedarling_posted_on() {
	printf( __( '<span class="%1$s">Posted on</span> %2$s <span class="meta-sep">by</span> %3$s', 'followmedarling' ),
		'meta-prep meta-prep-author',
		sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a>',
			get_permalink(),
			esc_attr( get_the_time() ),
			get_the_date()
		),
		sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
			get_author_posts_url( get_the_author_meta( 'ID' ) ),
			sprintf( esc_attr__( 'View all posts by %s', 'followmedarling' ), get_the_author() ),
			get_the_author()
		)
	);
}
endif;

if ( ! function_exists( 'followmedarling_posted_in' ) ) :
/**
 * Prints HTML with meta information for the current post (category, tags and permalink).
 *
 * @since Twenty Ten 1.0
 */
function followmedarling_posted_in() {
	// Retrieves tag list of current post, separated by commas.
	$tag_list = get_the_tag_list( '', ', ' );
	if ( $tag_list ) {
		$posted_in = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'followmedarling' );
	} elseif ( is_object_in_taxonomy( get_post_type(), 'category' ) ) {
		$posted_in = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'followmedarling' );
	} else {
		$posted_in = __( 'Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'followmedarling' );
	}
	// Prints the string, replacing the placeholders.
	printf(
		$posted_in,
		get_the_category_list( ', ' ),
		$tag_list,
		get_permalink(),
		the_title_attribute( 'echo=0' )
	);
}
endif;
?>
